Table of Contents Previous Next


8 Upgrading an Installation With pg_upgrade : 8.4 pg_upgrade Troubleshooting

If pg_upgrade reports an authentication error that references a missing password, please modify the pg_hba.conf files in the old and new cluster to enable trust authentication, or configure the system to use a pgpass.conf file.
If pg_upgrade reports that the new cluster is not empty, please empty the new cluster. The target cluster may not contain any user-defined databases.
If the original Advanced Server cluster included libraries that are not included in the Advanced Server 10 cluster, pg_upgrade will alert you to the missing component during the consistency check by writing an entry to the loadable_libraries.txt file in the directory from which you invoked pg_upgrade. Generally, for missing libraries that are not part of a major component upgrade, perform the following steps:

8 Upgrading an Installation With pg_upgrade : 8.4 pg_upgrade Troubleshooting

Table of Contents Previous Next